image:
  registry: "quay.io"
  repository: "$image.repository"
  tag: ""

resources:
  limits:
    cpu: "2000m"
    memory: "4096Mi"
  requests:
    cpu: "500m"
    memory: "1024Mi"
  gpu: ""

jupyterConfig:
  token: "$jupyterConfig.token"

ingress:
  enabled: true
  ingressClassName: "apisix"
  annotations:
    cert-manager.io/cluster-issuer: "root-ca-issuer"
    cert-manager.io/duration: "8760h"
    cert-manager.io/renew-before: "720h"
    k8s.apisix.apache.org/plugin-config-name: oidc-keycloak-authz
    k8s.apisix.apache.org/enable-websocket: "true"
  hosts:
    - host: "{{ .Name }}.{{ .Domain }}"
      paths:
        - /
  tls:
    - hosts:
        - "{{ .Name }}.{{ .Domain }}"
      secretName: "{{ .Name }}-tls-secret"

homeVolume:
  enabled: $homeVolume.enabled
  size: "5Gi"
  storageClassName: ""

dataVolume:
  enabled: $dataVolume.enabled
  size: "5Gi"
  storageClassName: ""